From ad4b6fa361fa22815f2c42bd0e6eaa97a32ae245 Mon Sep 17 00:00:00 2001
From: Dirk Mueller <dmueller@suse.com>
Date: Sat, 21 Mar 2015 15:40:33 +0100
Subject: [PATCH] ARM64: config: Raise NR cpus to 64

There is hardware that has more than 32 cores, so we would
like to support them out of the box.

Signed-off-by: Dirk Mueller <dmueller@suse.com>
---
 config/arm64/default | 2 +-
 config/arm64/vanilla | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/config/arm64/default b/config/arm64/default
index ce44b4f..a455a07 100644
--- a/config/arm64/default
+++ b/config/arm64/default
@@ -383,7 +383,7 @@ CONFIG_ARM64_PGTABLE_LEVELS=2
 CONFIG_SMP=y
 CONFIG_SCHED_MC=y
 CONFIG_SCHED_SMT=y
-CONFIG_NR_CPUS=32
+CONFIG_NR_CPUS=64
 CONFIG_HOTPLUG_CPU=y
 CONFIG_PREEMPT_NONE=y
 # CONFIG_PREEMPT_VOLUNTARY is not set
diff --git a/config/arm64/vanilla b/config/arm64/vanilla
index c3b0ae3..617c48e 100644
--- a/config/arm64/vanilla
+++ b/config/arm64/vanilla
@@ -375,7 +375,7 @@ CONFIG_ARM64_PGTABLE_LEVELS=2
 CONFIG_SMP=y
 CONFIG_SCHED_MC=y
 CONFIG_SCHED_SMT=y
-CONFIG_NR_CPUS=32
+CONFIG_NR_CPUS=64
 CONFIG_HOTPLUG_CPU=y
 CONFIG_PREEMPT_NONE=y
 # CONFIG_PREEMPT_VOLUNTARY is not set
-- 
2.0.4

